--- aplay/aplay.c.orig	2009-08-31 17:13:36.000000000 +0200
+++ aplay/aplay.c	2009-09-15 00:29:38.000000000 +0200
@@ -28,7 +28,9 @@
 
 #define _GNU_SOURCE
 #include <stdio.h>
+#ifndef __FreeBSD__
 #include <malloc.h>
+#endif
 #include <unistd.h>
 #include <stdlib.h>
 #include <string.h>
@@ -45,7 +47,9 @@
 #include <sys/uio.h>
 #include <sys/time.h>
 #include <sys/signal.h>
+#ifndef __FreeBSD__
 #include <asm/byteorder.h>
+#endif
 #include "aconfig.h"
 #include "gettext.h"
 #include "formats.h"
@@ -112,6 +116,11 @@ static int test_coef = 8;
 static int test_nowait = 0;
 static snd_output_t *log;
 
+typedef off_t off64_t;
+
+#define lseek64 lseek
+#define open64 open
+
 static int fd = -1;
 static off64_t pbrec_count = LLONG_MAX, fdcount;
 static int vocmajor, vocminor;
