--- aplay/formats.h.orig	2009-08-31 17:13:36.000000000 +0200
+++ aplay/formats.h	2009-09-15 00:29:38.000000000 +0200
@@ -1,8 +1,15 @@
 #ifndef FORMATS_H
 #define FORMATS_H		1
 
+#ifdef __FreeBSD__
+#include <sys/endian.h>
+#define bswap_16(x)	bswap16(x)
+#define bswap_32(x)	bswap32(x)
+#define bswap_64(x)	bswap64(x)
+#else
 #include <endian.h>
 #include <byteswap.h>
+#endif
 
 /* Definitions for .VOC files */
 
