--- include/search.h.orig	2009-09-09 14:34:54.000000000 +0200
+++ include/search.h	2009-09-14 23:27:31.000000000 +0200
@@ -20,7 +20,9 @@
 #ifndef _SEARCH_H
 #define	_SEARCH_H 1
 
+#ifndef __FreeBSD__
 #include <features.h>
+#endif
 
 #define __need_size_t
 #include <stddef.h>
@@ -49,10 +51,18 @@ extern void remque __P ((void *__elem));
 #endif
 
 
+#ifdef __FreeBSD__
+#define __PMT	__P
+#endif
+
 /* For use with hsearch(3).  */
 #ifndef __COMPAR_FN_T
 # define __COMPAR_FN_T
+#ifdef __FreeBSD__
+typedef int (*__compar_fn_t) __PMT ((__const void *, __const void *));
+#else
 typedef int (*__compar_fn_t) __PMT ((__const __ptr_t, __const __ptr_t));
+#endif
 
 # ifdef	__USE_GNU
 typedef __compar_fn_t comparison_fn_t;
