--- include/sound/type_compat.h.orig	2009-09-09 14:34:54.000000000 +0200
+++ include/sound/type_compat.h	2009-09-14 23:27:31.000000000 +0200
@@ -10,8 +10,15 @@ typedef int8_t __s8;
 typedef int16_t __s16;
 typedef int32_t __s32;
 
+#ifdef __FreeBSD__
+#include <sys/endian.h>
+#define bswap_16(x)	bswap16(x)
+#define bswap_32(x)	bswap32(x)
+#define bswap_64(x)	bswap64(x)
+#else
 #include <endian.h>
 #include <byteswap.h>
+#endif
 #if __BYTE_ORDER == __LITTLE_ENDIAN
 #define __cpu_to_le32(x) (x)
 #define __cpu_to_be32(x) bswap_32(x)
