--- src/timer/timer_hw.c.orig	2009-09-09 14:34:54.000000000 +0200
+++ src/timer/timer_hw.c	2009-09-14 23:27:31.000000000 +0200
@@ -92,10 +92,12 @@ static int snd_timer_hw_async(snd_timer_
 	}
 	if (sig < 0)
 		return 0;
+#ifndef __FreeBSD__
 	if (fcntl(fd, F_SETSIG, (long)sig) < 0) {
 		SYSERR("F_SETSIG failed");
 		return -errno;
 	}
+#endif
 	if (fcntl(fd, F_SETOWN, (long)pid) < 0) {
 		SYSERR("F_SETOWN failed");
 		return -errno;
